@import 'utils.css';

h1, h6 {
    margin: 0
}

.App {
    text-align: center;
    background-image: url("./assets/images/meteowrite-bk-img.svg");
    background-size: cover;
    height: 100vh;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cardWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}

.card {
    width: 280px;
    border: 1px solid #E8E9FC;
    background: #FFFFFF 0 0 no-repeat padding-box;
    border-radius: 5px;
    opacity: 1;
    padding: 0 30px;
}

.logo {
    margin-top: 70px;
}

.logoImg {
    width: 70%
}

.formName {
    margin-top: 10px;
    margin-bottom: 50px;
    letter-spacing: var(--unnamed-character-spacing-0);
    color: var(--ink);
    text-align: center;
    opacity: 1;
}

.formName h1 {
    font-family: Avenir Next, serif;
    font-size: 24px;
    font-weight: 500;
}

.externalAuth {
    margin-bottom: 10px;
}

.or {
    font: var(--unnamed-font-style-normal) normal 500 var(--unnamed-font-size-16) var(--unnamed-font-family-avenir-next);
    letter-spacing: var(--unnamed-character-spacing-0);
    color: var(--ink);
    margin-bottom: 20px;

}

.inputWrapper {
    display: inline-block;
    border: 1px solid var(--lighter-dust);
    border-radius: 5px;
    width: 100%;
    padding: 5px 15px;
    box-sizing: border-box;
}

/*.inputWrapper:focus-within {*/
/*  border: 1px solid red;*/
/*}*/

.inputPlaceholder {
    font-size: 10px;
    font-family: Avenir, serif;
    /*font: var(--unnamed-font-style-normal) normal medium Avenir;*/
    letter-spacing: var(--unnamed-character-spacing-1);
    color: var(--space-ink);
    text-align: left;
    text-transform: uppercase;
    display: inline-block;
    width: 100%;
    margin-bottom: 5px;

}

.inputElement {
    display: block;
    border: 0;
    -webkit-appearance: none;
    width: 100%;
    box-sizing: border-box;
}

.inputElement:hover {
    border: 0
}

.inputElement:focus {
    border: none;
}

.inputElement:active {
    border: 0
}

.inputElement:focus-visible {
    outline: none;
}

.yesButton {
    display: inline;
    border: 1px solid var(--lighter-dust);
    border-radius: 5px;
    opacity: 1;
    background-color: transparent;
    margin-right: 3px;
    height: 100%;
    color: var(--space-ink);
    font-size: 12px;
    padding: 6px 4px
}

.agreeTerms {
    display: inline;
    font-size: 14px;
}
.agreeTermsWrapper button {
    margin-right: 20px;
}

.agreeTerms span {
    display: block;
    font: var(--unnamed-font-style-normal) normal var(--unnamed-font-weight-normal) var(--unnamed-font-size-14)/20px var(--unnamed-font-family-avenir-next);
    letter-spacing: var(--unnamed-character-spacing-0);
    color: var(--space-ink);
    text-decoration: underline;
    line-height: 0.8em;
    cursor: pointer;
    margin-left: 31px;
}

.starfieldButton {
    background: #FFB550 0% 0% no-repeat padding-box;
    border: none;
    color: white;
    font-weight: bold;
    font-size: 12px;
    width: 100%;
    text-align: center;
    padding: 12px 0
}

.agreeTermsWrapper {
    margin-bottom: 20px;
}

.createAccountWrapper {
    margin-bottom: 20px;
}

.alreadyHaveAccountWrapper p {
    font-size: 14px;
    color: #1A1A1A;
    text-align: center;
}

.alreadyHaveAccountWrapper p span {
    color: #131BA3;
    margin-left: 4px;
    font-size: 14px;
    border-bottom-width: 1px;
    cursor: pointer;
}

.basicInformationWrapper {
    margin-top: 20px;
    margin-bottom: 20px;
}

.basicInformationWrapper h1 {
    font-size: 24px;
}

.basicInformationWrapper p {
    font-size: 14px;
}

.signUpButtonWrapper {
    margin-top: 20px;
    margin-bottom: 30px;
}

.verificationLinkWrapper img {
    width: 150px;
    height: 150px;
    margin-top: 10px;
    margin-bottom: 10px
}

.verificationLinkWrapper h1 {
    font-size: 21px;
    font-weight: 600;
    font-family: Avenir Next, serif;
    letter-spacing: 0px;
    color: #1A1A1A;
}

.verificationLinkWrapper p {
    font-size: 14px;
    font-family: Avenir Next, serif;
    letter-spacing: 0px;
    color: #1A1A1A;
}

.verificationLinkWrapper {
    margin-bottom: 40px;
}

.loginButtonWrapper {
    margin-bottom: 30px;
}

.didntGetEmail {
    margin-bottom: 40px;
}

.didntGetEmail p {
    text-align: center;
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #131BA3;
    /*border-bottom: 1px solid #dedbdb;*/
}

.rememberPass {
    margin-top: 20px;
    margin-bottom: 40px;
}

.rememberPass p {
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0;
    color: #1A1A1A;
}

.rememberPass p span {
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #131BA3;
    opacity: 1;
    cursor: pointer;
}

.nextButtonWrapper {
    margin-bottom: 30px;
}

.margin40 {
    margin-top: 40px
}

.marginInputs {
    margin-bottom: 15px;
}

.choosePassTitle h1 {
    text-align: center;
    font: normal normal bold 24px/33px Avenir Next;
    letter-spacing: 0px;
    color: #1A1A1A;
}

.rememberMeWrapper {
    justify-content: space-between;
    /*margin-bottom: 20px;*/
}

.displayInLine {
    display: inline-block;
}

.displayInLine h6 {
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #1A1A1A;
    margin-right: 10px;
}

.displayInLine p {
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #131BA3;
    cursor: pointer;
}

.displayInLine button {
    margin-right: 20px;
}

.newToMeteowrite p {
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #1A1A1A;
}

.newToMeteowrite p span {
    text-align: left;
    font: normal normal normal 14px Avenir Next;
    letter-spacing: 0px;
    color: #131BA3;
    cursor: pointer;
}

.newToMeteowrite {
    margin-bottom: 40px;
}

.linkedinButton button {
    width: 100%;
    background: #0073B1 0% 0% no-repeat padding-box;
    border: none;
    padding: 10px;
    color: #FFFFFF;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.linkedinButton button img {
    margin-right: 10px;
}

.linkedinButton button span {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 12px;
    font-family: Avenir Next, serif;
}
.bold {
    font-weight: bold;
}

